Subject: How is penultimate label popping requested/discouraged by signall ing ?

From: Hummel Heinrich <[email-masked]>
Date: Tue, 12 Jun 2001 17:45:18 +0200

Hello,
How is penultimate label popping requested resp. discouraged by explicit signalling?
 
IMHO: it would be very bad if the penultimate LSR would do the label popping implicitly, i.e. by checking whether
his next hop router is also the egress of the LSP and without permission !
 
Heinrich Hummel,
Siemens AG

---

From: Eric Gray <[email-masked]>
Date: Tue, 12 Jun 2001 13:25:12 -0400

Heinrich,

    It is requested using implicit NULL labels.  It is discouraged by
releasing the implicit NULL label (after requesting another for the
same FEC).  While it isn't the intention that an LSR can volunteer
to do PHP, as long as the nexthop is able to forward IP packets and
uses the platform wide label space, it is hard to prevent.  I agree it
would not be a good idea, in general, and a signaling approach is
available.

--
Eric Gray

You wrote:

> Hello,How is penultimate label popping requested resp. discouraged by explicit
> signalling?IMHO: it would be very bad if the penultimate LSR would do the
> label popping implicitly, i.e. by checking whetherhis next hop router is also
> the egress of the LSP and without permission !Heinrich Hummel,Siemens AG

---

From: "Eric Gray" <[email-masked]>
Date: Thu, 21 Jun 2001 17:03:15 -0700

Heinrich,

--
Eric Gray